Name:		kcm-fcitx
Version:	0.4.3
Release:	2%{?dist}
Summary:	KDE Config Module for Fcitx
Group:		Applications/System
License:	GPLv2+
URL:		https://fcitx-im.org/wiki/Fcitx
Source0:	http://download.fcitx-im.org/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	kdelibs-devel, fcitx-devel, gettext 
BuildRequires:	desktop-file-utils
Requires:	fcitx
Requires:	kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}

%description
Kcm-fcitx is a System Settings module to manage
Fcitx.
 
You can config fcitx through 
"Configue Desktop" - "Locale" - Fcitx now.

%prep
%setup -q -n %{name}-%{version}

%build
mkdir -pv build
pushd build
%{cmake_kde4} ..
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT -C build

%find_lang %{name} --all-name --with-kde

#%check
#desktop-file-validate %{buildroot}%{_datadir}/applications/kde4/kbd-layout-viewer.desktop

%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:
fi

%files -f %{name}.lang
%doc COPYING
%{_bindir}/kbd-layout-viewer
%{_libdir}/kde4/kcm_fcitx.so
%{_datadir}/applications/kde4/kbd-layout-viewer.desktop
%{_datadir}/kde4/services/kcm_fcitx.desktop
%{_datadir}/config/fcitx-skin.knsrc

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 09 2013 Liang Suilong <liangsuilong@gmail.com> - 0.4.3-1
- Upstream to kcm-fcitx-0.4.3

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Dec 04 2012 Liang Suilong <liangsuilong@gmail.com> - 0.4.1-1
- Upstream to kcm-fcitx-0.4.1

* Sun Jul 29 2012 Liang Suilong <liangsuilong@gmail.com> - 0.4.0-3
- Fix spec error 

* Sun Jul 29 2012 Liang Suilong <liangsuilong@gmail.com> - 0.4.0-2
- Add kbd-layout-viewer

* Sun Jul 29 2012 Liang Suilong <liangsuilong@gmail.com> - 0.4.0-1
- Upstream to kcm-fcitx-0.4.0

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 15 2012 Liang Suilong <liangsuilong@gmail.com> - 0.3.3-1
- Upstream to kcm-fcitx-0.3.3

* Sun Feb 19 2012 Liang Suilong <liangsuilong@gmail.com> - 0.3.0-1
- Initial Release
